package com.hai.order.model.combine;

import lombok.Data;

/**
 * @author sum1dream
 */
@Data
public class SubOrders {

    /**
     * @Author Sum1Dream
     * @Description // 子单商户号
     * @Date 2023/8/7 15:21
     */
    private String mchId;

    /**
     * @Author Sum1Dream
     * @Description // 附加数据
     * @Date 2023/8/7 15:21
     */
    private String attach;

    /**
     * @Author Sum1Dream
     * @Description // 订单金额
     * @Date 2023/8/7 15:21
     */
    private Amount amount;

    /**
     * @Author Sum1Dream
     * @Description // 子单商户订单号
     * @Date 2023/8/7 15:21
     */
    private String outTradeNo;

    /**
     * @Author Sum1Dream
     * @Description // 子单商户订单号
     * @Date 2023/8/7 15:21
     */
    private String subMchId;

    /**
     * @Author Sum1Dream
     * @Description // 商品描述
     * @Date 2023/8/7 15:21
     */
    private String description;


}
